%global upstream_name lib-LFR-paul-2.0-4

Name:           lib-LFR-paul
Version:        2.0
Release:        4%{?dist}
Summary:        Common library for Solar Orbiter's LFR development writen by Paul.
Group:          System Environment/Libraries
License:        LGPLv2
URL:            https://hephaistos.lpp.polytechnique.fr
Source0:        https://hephaistos.lpp.polytechnique.fr/redmine/attachments/download/688/%{upstream_name}.tar.gz
BuildRequires:  socexplorer-devel = 0.7
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtwebkit-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtxmlpatterns-devel
BuildRequires:  elfutils-libelf-devel

%description
Common library for Solar Orbiter's LFR development writen by Paul. 

%package devel
Summary:        Common library for Solar Orbiter's LFR development writen by Paul.
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Common library for Solar Orbiter's LFR development writen by Paul.

%prep
%setup -q -n %{upstream_name}

%build
%{_qt5_qmake} 

make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
   %{_qt5_libdir}/libpaulcommon.so*
   %{_qt5_libdir}/libwfdisplay.so*


%files devel
   /usr/include/qt5/SocExplorer/paulcommon/TC_types.h
   /usr/include/qt5/SocExplorer/paulcommon/ccsds_types.h
   /usr/include/qt5/SocExplorer/paulcommon/arbitrarytime.h
   /usr/include/qt5/SocExplorer/paulcommon/gresbstatusenquiry.h
   /usr/include/qt5/SocExplorer/paulcommon/gresbstatusqueryTYPES.h
   /usr/include/qt5/SocExplorer/paulcommon/hkdisplay.h
   /usr/include/qt5/SocExplorer/paulcommon/parameterdump.h
   /usr/include/qt5/SocExplorer/paulcommon/paulcommoncrc.h
   /usr/include/qt5/SocExplorer/paulcommon/paulcommonparams.h
   /usr/include/qt5/SocExplorer/paulcommon/qipdialogbox.h
   /usr/include/qt5/SocExplorer/paulcommon/systemtime.h
   /usr/include/qt5/SocExplorer/paulcommon/tcpackettosend.h
   /usr/include/qt5/SocExplorer/paulcommon/tmpackettoread.h
   /usr/include/qt5/SocExplorer/paulcommon/tmstatistics.h
   /usr/include/qt5/SocExplorer/wfdisplay/asmpage.h
   /usr/include/qt5/SocExplorer/wfdisplay/wfdisplay.h
   /usr/include/qt5/SocExplorer/wfdisplay/wfdisplay_params.h
   /usr/include/qt5/SocExplorer/wfdisplay/wfpage.h
   /usr/include/qt5/SocExplorer/wfdisplay/wfplot.h
   /usr/include/qt5/SocExplorer/wfdisplay/spectrapacket.h
   /usr/include/qt5/SocExplorer/paulcommon/fsw_params.h
   /usr/include/qt5/SocExplorer/paulcommon/fsw_params_nb_bytes.h
   /usr/include/qt5/SocExplorer/paulcommon/fsw_params_processing.h
   /usr/include/qt5/SocExplorer/paulcommon/tm_byte_positions.h


%changelog
* Thu Apr 21  2016 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 2.0-4
- lfr_common_headers subrepo updated.
* Wed Apr 20  2016 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 2.0-3
- added interface to set filename while recording packets.
* Thu Oct 1  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 2.0-2
- Updated to version 2.0-2.
* Thu Jul 2  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 2.0-1
- Updated to version 2.0-1.
* Tue Jun 2  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 2.0-0
- Updated to version 2.0-0 now compatible with LFR flight software revision 3.
* Thu Apr 2  2015 Alexis Jeandet <alexis.jeandet@member.fsf.org> - 1.1-4
- Updated to version 1.1-4 no changes, rebuild with new socexplorer SDK.
- Removed GenericPySysdriver interface, now socexplorer plugins can be subclassed in python.
* Tue Mar 17 2015 Alexis Jeandet <alexis.jeandet@member.fsf.org>
- Udated to r5:877a141283ea
* Thu Feb 05 2015 Alexis Jeandet <alexis.jeandet@member.fsf.org>
- Updated to version 1.1 eq rev2.
- Removed mistake on SPEC file for i686 build.
* Mon Dec 22 2014 Alexis Jeandet <alexis.jeandet@member.fsf.org> 
- First package.
